
QGIS Application - Bug report #9933

Map composer hangs when attempting to export a map in any format.

2014-03-28 08:45 AM - Jonathan Ball

Status: Closed

Priority: Severe/Regression

Assignee: Nyall Dawson

Category:

Affected QGIS version:2.2.0 Regression?: No

Operating System: Windows 64-bit Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:Yes Copied to github as #: 18438

Description

The map composer works as it used to in 2.1 (although can be a little glitchy and prone to temporarily lock up which didn't happen in 2.1).

 However, when attempting to export a map QGIS consistently hangs in both version 2.2 and 2.3.  The save file dialog opens but QGIS

fails to populate it.  The only option is to force QGIS to terminate via the operating system.  As such it renders QGIS unusable and I must

roll-back to the earlier version.

I am using QGIS 32-bit on Windows 7 64 bit machine.  (I haven't tried the 64 bit version of QGIS because that has a reputation of being

too buggy to use and the last time I installed it I had to remove all traces of QGIS from my machine and install 32-bit fresh).

Associated revisions

Revision 2b3108f9 - 2014-04-02 02:24 AM - Nyall Dawson

Fix high cpu usage with win32 builds when using shapes in composer (fix #9933, #9957, #9734)

History

#1 - 2014-03-28 12:51 PM - Nyall Dawson

Can you please provide a few more details so that I can hopefully track this down:

- is this with every project, or just a certain one? If so, can you post a sample project here?

- which installer did you use to install qgis?

- can you export maps from the qgis main window using save as image?

#2 - 2014-04-01 12:06 AM - Jonathan Ball

Sorry for the slow reply - I got deluged with work (which is a good thing for a Freelancer!).  However, I have done a few more tests to answer your

questions:

- The bug only happens with projects created in an earlier version of QGIS (2.0.1 Dufour in my case).  New projects created in 2.2 appear to be OK and

behave as expected. I have tried saving the project created in Dufour as a new project and then re-open it, but this does not help, it still hangs at exactly the

same point.

- I installed using OSGEO4W (downloaded the latest version) - this is the method I always use for QGIS (unless I'm rolling back to an earlier version which

is unavailable through OSGEO4W).

- Yes, I can save images from the main window whatever the original version of the QGIS project without crashing.  The problem seems to be restricted to

the Map Composer.
More info:  The problem seems to be also restricted to map composers created in Dufour.  If I open an old project from Dufour in Valmiera and then create

a new map composer, it works and I can export to PDF, but if I duplicate an existing map, it still hangs at the same point.  So, it is not my data but some

incompatibility between the map composers from Dufour and Valmiera at the point of opening the save-file dialog box.

#3 - 2014-04-01 01:57 AM - Nyall Dawson

- Assignee set to Nyall Dawson

I'm pretty sure this is the same issue as #9957, which I've tracked down and have a fix on the way for. Can you please confirm that you're running a 32 bit

build?

#4 - 2014-04-01 01:59 AM - Nyall Dawson

Actually - don't worry - I see you posted that in the original report. I'll let you know when I've committed a fix for testing.

#5 - 2014-04-01 06:04 PM - Nyall Dawson

- Status changed from Open to Closed

Fixed in changeset commit:"2b3108f9aeadb6814ad0519b2c53840db2c834d1".
